Bug 245748 - Permissions on file /etc/cups/classes.conf
Permissions on file /etc/cups/classes.conf
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: cups (Show other bugs)
5.0
All Linux
low Severity low
: ---
: ---
Assigned To: Tim Waugh
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-06-26 09:50 EDT by Eduard Benes
Modified: 2009-01-20 16:59 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-20 16:59:07 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Eduard Benes 2007-06-26 09:50:54 EDT
Description of problem:
The rpm verify test fails due to problem with permissions on 
file /etc/cups/classes.conf. According to specfile they should be 644 
but they are 600.

Version-Release number of selected component (if applicable):
cups-1.2.4-11.9.el5
cups-1.2.4-11.5.1.el5

How reproducible:
Always

Steps to Reproduce:
1. install cups package 
2. # rpm -V cups
3. # ll /etc/cups/classes.conf
4. grep cups specfile for line that contains:
   %config(noreplace) %attr(0644,root,lp) /etc/cups/classes.conf
  
Actual results:

qa.[root@i386-5client tps]# rpm -V cups
.M...... c /etc/cups/classes.conf
qa.[root@i386-5client tps]# ll /etc/cups/classes.conf
-rw------- 1 root lp 0 Jun 12 08:52 /etc/cups/classes.conf

Specfile content:
 ...
%config(noreplace)%attr(0644,root,lp) /etc/cups/classes.conf
 ...

Expected results:
No rpm verify failures. The permissions of /etc/cups/classes.conf 
in specfile should match actual permissions after installation.
Comment 3 Phil Knirsch 2008-04-30 11:41:08 EDT
Proposing for RHEL-5.3 and granting Devel ACK.

Read ya, Phil
Comment 4 RHEL Product and Program Management 2008-06-02 16:36:10 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 9 errata-xmlrpc 2009-01-20 16:59:07 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHEA-2009-0201.html

Note You need to log in before you can comment on or make changes to this bug.